Responses
API responses will contain a JSON object with two fields: result and meta. If the API call returned any results the result field will contain a JSON object, otherwise, the result field will not be present. The meta field will return the status, the requestId, and any relevant error information. The requestId plus the time of the call allow for uniquely identifying calls, and are invaluable if you need to contact support about an issue. For automated scenarios please log this information.
Most paginated responses have a default of 100 items returned under the result field. Some API calls will allow the user to override the default page size for paginated responses. You can find more information on pagination here.
Examples
{
"result": {
...
},
"meta": {
"httpStatus": "200 - OK",
"requestId": "74768340-3902-4f6d-9327-f5fdc2cdb9ec"
}
}
{
"meta": {
"httpStatus": "200 - OK"
}
}
{
"meta": {
"httpStatus": "404 - Not Found",
"error": {
"errorMessage": "API call does not exist: GET /API/v3/doesnotexist"
}
}
}
HTTP Response Codes
The Qualtrics API uses a subset of all available HTTP status codes. These status codes are listed here with a brief explanation of what they each mean.
| HTTP Response Code | Description |
|---|---|
| 200 - OK | The request succeeded |
| 202 - Accepted | The resource that was trying to be uploaded was accepted. |
| 207 - Multi-Response | The request included multiple operations, and the status for each can be found in the response. |
| 400 - Bad Request | There was something invalid about the request. |
| 401 - Unauthorized | The api user could not be authenticated or does not have authorization to access the requested resource. |
| 403 - Forbidden | The api user authenticated and made a valid request, but is not authorized to access the requested resource. |
| 404 - Not Found | The requested resource could not be found. |
| 409 - Conflict | The request could not be completed due to a conflict with the current state of the target resource. |
| 413 - Request Entity Too Large | The request body was too large. This can also happen in cases where a multipart/form-data request is malformed. |
| 414 - URI TooLong | The URI provided was too long for the server to process. |
| 415 - Unsupported Media Type | The request entity has a media type which the server or resource does not support. (Usually the accepts header of the call has an invalid value or a value the server does not support.) |
| 429 - Too Many Requests | This indicates that there are have been too many requests made for this API. See Limits |
| 500 - Internal Server Error | This indicates a problem internal to the Qualtrics API and usually cannot be corrected by the user. Please contact Qualtrics Support with the requestId and errorCode found in the response. |
| 503 - Temporary Internal Server Error | This indicates a temporary outage internal to the Qualtrics API. You should retry the request. If problems persist, contact Qualtrics Support with the requestId and errorCode found in the response. |
| 504 - Gateway Timeout | This response code means that a Qualtrics service took too long to process the request and timed out. If the operation was a read only operation, please retry the operation. For a writable operation, please inspect to see if the write already was accomplished before attempting a retry. |